*{
    box-sizing: border-box;
    margin:0;
}
/* Body text style */
body {
    font-family: 'Arial', sans-serif; /* Choose a readable font */
    font-size: 16px; /* Set a comfortable font size */
    line-height: 1.6; /* Increase line height for better readability */
    color: #333; /* Dark color for good contrast */
}

/* Heading styles */
h1, h2, h3, h4, h5, h6 {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif; /* Apply specific font for headings */
    color: #333; /* Match the body text color */
}
.highlight{
    color: blueviolet;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
}
.header {
    height: auto;
    width: 100%;
    float:left;
    padding: 10px;
}
.header_container {
    float:left;
    height: auto;
    width: 90%;
    margin-left: 5%;
    padding: 20px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 10px;
}
.company{
    width:30%;
    float:left;
}

.logoHead {
    float:left;
    height: 40px;
    width: 40px;
    margin-left: 20px;
    border-radius: 50%;
    background-color: blueviolet;
    box-shadow: rgba(17, 17, 26, 0.05) 0px 1px 0px, rgba(17, 17, 26, 0.1) 0px 0px 8px;
}

.logoHead > p {
  margin:0;
  line-height: 40px;
  text-align: center;
  color: #ffffff;
  font-weight: bold;
  font-size: 25px;
}

.logoBody{
    float:left;
    margin-left: 5px;
    height: 40px;
}

.logoBody > p {
    margin:0;
    line-height: 40px;
    text-align: center;
    font-weight: bold;
}

.learnbydoing{
    float: left;
    margin-left: 50px;
    height: 40px;
}

.learnbydoing > a {
    text-decoration: none;
    color: black;
    margin: 0;
    line-height: 40px;
}

.search_box{
    float: right;
    height: 40px;
    width: 30%;
    margin-right: 20px;
    box-shadow: rgba(0, 0, 0, 0.02) 0px 1px 3px 0px, rgba(27, 31, 35, 0.15) 0px 0px 0px 1px;
    border-radius: 15px;
}
.search_box > img {
    height: 25px;
    margin-top: 7.5px;
    float:left;
    margin-left: 10px;
}
.search_box > p{
    color: grey;
    float: left;
    margin: 0;
    line-height: 40px;
    font-weight: normal;
    margin-left: 10px;
}
.newsletterWrapper {
  float: right;
  border-radius: 10px;
  background-color: blueviolet;
  padding: 10px;
  box-shadow: rgba(17, 17, 26, 0.05) 0px 1px 0px, rgba(17, 17, 26, 0.1) 0px 0px 8px;
}

.newsletterWrapper > a {
    color: #ffffff;
    text-decoration: none;
}


.content{
    float:left;
    width:100%;
    height: auto;
    padding:20px;
}

.left_ad_space,.right_ad_space{
    float:left;
    width:20%;
    border-radius: 15px;
    height: auto;
    padding: 3px;
    background-color: #ffffff;
}
.article{
    float:left;
    width:60%;
    height: 20px;
    padding: 20px;
    height: auto;
}
.article_info{
    float:left;
    width: 100%;
    height: auto;
    padding-top: 10px;
    padding-bottom: 10px;
}
.article_info > p{
    float:left;
    font-weight: bold;
}
.article_image{
    float: left;
    width: 100%;
    height: auto;
    margin-bottom: 20px;

}
.article_image > img{
    float:left;
    width: 70%;
    margin-left: 15%;
}
.paragraph{
    float:left;
    width: 100%;
    height: auto;
    padding: 10px;
}
.paragraph > p{
 font-family:'Source Sans Pro', sans-serif !important;
 line-height: 1.5em;
 font-size: 1.2em;
 margin-top: 10px;
}
pre{
    float:left;
    width: 100%;
    background: #f4f4f4;
    border: 1px solid #ddd;
    border-left: 3px solid #f36d33;
    color: #666;
    page-break-inside: avoid;
    font-family: monospace;
    font-size: 1em;
    line-height: 1.6;
    margin-bottom: 1.6em;
    max-width: 100%;
    overflow: auto;
    padding: 1em 1em;
    display: block;
    word-wrap: break-word;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    border-radius: 15px;
}



.footer{
    height: auto;
    background-color: #292828;
    float:left;
    padding: 20px;
    width: 100%;
    margin-top: 50px;
}

.socials,.info{
    float:left;
    height: auto;
    width: auto;
    margin: 20px;
}

li{
    margin: 10px;
    color: #ffffff;
}

a{
    text-decoration: none;
    color: #ffffff;
}

.para_list{
    color: black;
    font-family:'Source Sans Pro', sans-serif !important;
    line-height: 1.5em;
    font-size: 1.2em;
}